Download it now!
Bug 115434 - Sidebar: Incorrect handling of Enter, Del, Ins, PgUp, PgDn, End, and Backspace key presses
Summary: Sidebar: Incorrect handling of Enter, Del, Ins, PgUp, PgDn, End, and Backspac...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.1.0.0.alpha0+
Hardware: All All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard: target:6.1.0
Keywords:
Depends on:
Blocks:
 
Reported: 2018-02-04 05:00 UTC by Jim Raykowski
Modified: 2019-05-27 14:11 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jim Raykowski 2018-02-04 05:00:14 UTC
In Sidebar, pressing Enter, Del, Ins, PgUp, PgDn, Home, End, or Backspace key at times causes the pressed key action to occur in the document.

bug 98595 and bug 84657 are related to following finding

Steps to replicate

1) Open Writer
2) Open the Sidebar Menu View -> Sidebar
3) Select Properties Deck
4) Type a line of text in the document 
5) Move the cursor to the middle of the entered line of text
6) Click on Styles dropdown in the Sidebar Properties Deck
7) Press Esc
'Styles' should have focus rectangle
8) Press Backspace key
text in document is backspaced (not expected)
9) Press Delete key
text in document is deleted (not expected)
10) Press any of the other mentioned keys
all unexpectedly execute their action in the document

This same behavior occurs in the other decks also. Just press Esc to get the focus on a deck or panel title and press the above mentioned keys.
Comment 1 Jim Raykowski 2018-02-04 08:04:24 UTC
(In reply to Jim Raykowski from comment 1
> 
> bug 98595 and bug 84657 are related to following finding
> 

bug 98595 should have been bug 98505
Comment 2 V Stuart Foote 2018-02-04 22:09:58 UTC
Yup...

 => New
Comment 3 Jim Raykowski 2018-02-04 23:20:50 UTC
(In reply to V Stuart Foote from comment #2)
> Yup...
> 
>  => New

Thank you for verifying

Here is a link to the patch: https://gerrit.libreoffice.org/#/c/49219/
Comment 4 Commit Notification 2018-02-05 09:42:06 UTC
Jim Raykowski committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=bcfc348663b04834fe8e6d6315f647be1595469a

tdf#115434 Fix key press misbehaviors in sidebar

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.